NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::PointCollection Class Reference

Represents a collection of smart Point . More...

Inheritance diagram for NXOpen::PointCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Types

enum  AlongCurveOption { AlongCurveOptionDistance, AlongCurveOptionPercent }
 Describes whether the input Scalar to the PointCollection::CreatePoint method is either an absolute distance or a relative percentage. More...
 
enum  PointOnCurveLocationOption { PointOnCurveLocationOptionParameter, PointOnCurveLocationOptionPercentParameter, PointOnCurveLocationOptionArcLength, PointOnCurveLocationOptionPercentArcLength }
 Describes whether the input Scalar to the PointCollection::CreatePoint method is a relative percentage parameter or an absolute arc length or a relative percentage arc length. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element.
 
NXOpen::PointCreatePoint (const NXOpen::Point3d &coordinates)
 Creates a Point without parameters.
 
NXOpen::PointCreatePoint (NXOpen::Offset *offset, NXOpen::Point *offsetPoint, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point using a Point and an Offset .
 
NXOpen::PointCreatePoint (NXOpen::IParameterizedSurface *face, NXOpen::Scalar *scalarU, NXOpen::Scalar *scalarV, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point on a Surface or Face via U-V Scalar for the surface.
 
NXOpen::PointCreatePoint (NXOpen::View *view, NXOpen::IBaseCurve *edgeCurve1, NXOpen::IBaseCurve *edgeCurve2, const NXOpen::Point3d &helpPt, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point on the intersection of two Curve and/or Edge in a View.
 
NXOpen::PointCreatePoint (NXOpen::IBaseCurve *edgeCurve, NXOpen::Scalar *scalarT, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point on a Curve or Edge and Scalar representing the T parameter.
 
NXOpen::PointCreatePoint (NXOpen::IBaseCurve *edgeCurve, NXOpen::Scalar *scalarT, NXOpen::PointCollection::PointOnCurveLocationOption locationOption, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point on a Curve or Edge and Scalar representing the Percent parameter or Arc Length or Percent Arc Length.
 
NXOpen::PointCreatePoint (NXOpen::IBaseCurve *edgeCurve, NXOpen::Scalar *scalarT, NXOpen::SmartObject::UpdateOption updateOption, bool useReverseParameter)
 Creates a Point on a Curve or Edge and Scalar representing the T parameter.
 
NXOpen::PointCreatePoint (NXOpen::IBaseCurve *edgeCurve, NXOpen::Point *pointOffset, NXOpen::Scalar *distancePercent, NXOpen::PointCollection::AlongCurveOption option, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point along a Curve or Edge using a Point , and a Scalar representing the T parameter along the Curve .
 
NXOpen::PointCreatePoint (NXOpen::Scalar *scalarX, NXOpen::Scalar *scalarY, NXOpen::Scalar *scalarZ, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point via three Scalar .
 
NXOpen::PointCreatePoint (NXOpen::Point *pointExtract, NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point via an existing Point using an optional Xform .
 
NXOpen::PointCreatePoint (NXOpen::IBaseCurve *edgeCurve, NXOpen::Scalar *angle, NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point at an angle along an IBaseCurve .
 
NXOpen::PointCreatePoint (NXOpen::IBaseCurve *edgeCurve, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point via the center of an Edge or Curve .
 
NXOpen::PointCreatePoint (NXOpen::IBaseCurve *curve1, NXOpen::IBaseCurve *curve2, NXOpen::Point *helpPt1, NXOpen::Point *helpPt2, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point at the intersection of two Edges or Curves.
 
NXOpen::PointCreatePoint (NXOpen::IBaseCurve *curve1, NXOpen::IBaseCurve *curve2, const NXOpen::Point3d &startPoint, NXOpen::View *view, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point at the apparent intersection of two Edges or Curves in a view.
 
NXOpen::PointCreatePoint (NXOpen::IParameterizedSurface *face, NXOpen::IBaseCurve *curve, NXOpen::Point *helpPt1, NXOpen::Point *helpPt2, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point at the intersection of a IParameterizedSurface and IBaseCurve .
 
NXOpen::PointCreatePoint (NXOpen::IBasePlane *plane, NXOpen::IBaseCurve *curve, NXOpen::Point *helpPt1, NXOpen::Point *helpPt2, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point at the intersection of a IBasePlane and IBaseCurve .
 
NXOpen::PointCreatePoint (NXOpen::IParameterizedSurface *sphericalFace, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point at the center of a spherical face.
 
NXOpen::PointCreatePoint (NXOpen::Routing::IRoutePosition *routePosition, NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point at the given Routing::IRoutePosition .
 
NXOpen::PointCreatePoint (NXOpen::CartesianCoordinateSystem *csys, NXOpen::Scalar *scalarX, NXOpen::Scalar *scalarY, NXOpen::Scalar *scalarZ, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point via CartesianCoordinateSystem and three Scalar .
 
NXOpen::PointCreatePoint (NXOpen::Point *point1, NXOpen::Point *point2, NXOpen::Scalar *distancePercentage, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point between two points using a Scalar that represents a percentage of the distance between the points.
 
NXOpen::PointCreatePoint (NXOpen::Expression *exp, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point via an Expression .
 
NXOpen::PointCreatePoint (NXOpen::CAE::CAEFace *face, NXOpen::Point *projectedPoint, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a point by projecting onto a face.
 
NXOpen::PointCreatePoint (NXOpen::ScCollector *faces, NXOpen::IBaseCurve *curve, NXOpen::Point *helpPt1, NXOpen::Point *helpPt2, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point at the intersection of a connected set of faces and IBaseCurve .
 
NXOpen::PointCreatePoint (NXOpen::SmartObject::UpdateOption updateOption, NXOpen::Annotations::Annotation *annotation, NXOpen::Scalar *t, int side, int block, bool attachFcfToDim)
 Creates a Point on a Annotations::Annotation and Scalar representing the T parameter.
 
NXOpen::PointCreatePoint (NXOpen::IBaseCurve *splarc, NXOpen::View *view)
 Creates a Point at the center of a splarc.
 
NXOpen::PointCreatePointOnPortExtractAlign (NXOpen::SmartObject::UpdateOption updateOption, NXOpen::Routing::Port *port, NXOpen::Scalar *distance)
 Creates a Point at a Routing::Port .
 
NXOpen::PointCreatePointOnSectionCG (NXOpen::SmartObject::UpdateOption updateOption, NXOpen::TaggedObject *face)
 Creates a Point on the center of gravity of the sketch for a given sheet metal feature face in history free mode.
 
NXOpen::PointCreatePointOnSurfaceAxis (NXOpen::TaggedObject *face, NXOpen::Scalar *parameter, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a parameterised point on the center line axis of the given face.
 
NXOpen::PointCreateQuadrantPoint (NXOpen::IBaseCurve *curveOrEdge, int quadrant, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a quadrant point.
 
NXOpen::PointCreateStockOffsetPoint (NXOpen::Point *basePoint, NXOpen::Direction *offsetDirr, const NXString &offsetExpression, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Routing "Stock Offset" point.
 
NXOpen::PointCreateStockOffsetPoint (NXOpen::Point *basePoint, NXOpen::Direction *offsetDirr, const char *offsetExpression, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Routing "Stock Offset" point.
 
NXOpen::PointCreateVirtualIntersectionPoint (NXOpen::IBaseCurve *curve1, NXOpen::IBaseCurve *curve2, NXOpen::Point *helpPt1, NXOpen::Point *helpPt2, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Point at the virtual intersection of two linear Edges or Curves.
 
void DeletePoint (NXOpen::Point *point)
 Deletes a Point by adding the point to the delete list and then updating the delete list without performing a general update.
 
iterator end ()
 Returns an iterator addressing one past the last element.
 
NXOpen::PointFindObject (const NXString &journalIdentifier)
 Finds the Point with the given identifier as recorded in a journal.
 
NXOpen::PointFindObject (const char *journalIdentifier)
 Finds the Point with the given identifier as recorded in a journal.
 
void RemoveParameters (NXOpen::Point *point)
 Removes the parameters from an associative Point .
 
tag_t Tag () const
 Returns the tag of this object.
 

Detailed Description

Represents a collection of smart Point .


To obtain an instance of this class, refer to BasePart

Created in NX3.0.0.

Member Enumeration Documentation

Describes whether the input Scalar to the PointCollection::CreatePoint method is either an absolute distance or a relative percentage.

Enumerator:
AlongCurveOptionDistance 

Scalar is an absolute distance.

AlongCurveOptionPercent 

Scalar is a relative percentage.

Describes whether the input Scalar to the PointCollection::CreatePoint method is a relative percentage parameter or an absolute arc length or a relative percentage arc length.

Enumerator:
PointOnCurveLocationOptionParameter 

Scalar is curve parameter.

PointOnCurveLocationOptionPercentParameter 

Scalar is a relative percentage parameter.

PointOnCurveLocationOptionArcLength 

Scalar is an absolute arc length.

PointOnCurveLocationOptionPercentArcLength 

Scalar is a relative percentage arc length.

Member Function Documentation

iterator NXOpen::PointCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::Point* NXOpen::PointCollection::CreatePoint ( const NXOpen::Point3d coordinates)

Creates a Point without parameters.

@return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
coordinatesCoordinates of a Point
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::Offset offset,
NXOpen::Point offsetPoint,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point using a Point and an Offset .

@return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
offsetoffset
offsetPointOffsetting from this Point
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IParameterizedSurface face,
NXOpen::Scalar scalarU,
NXOpen::Scalar scalarV,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point on a Surface or Face via U-V Scalar for the surface.

@return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
faceface
scalarUU parameter
scalarVV parameter
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::View view,
NXOpen::IBaseCurve edgeCurve1,
NXOpen::IBaseCurve edgeCurve2,
const NXOpen::Point3d helpPt,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point on the intersection of two Curve and/or Edge in a View.

@return  


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
viewview
edgeCurve1Edge or Curve
edgeCurve2Edge or Curve
helpPtHelp Point for curve 1
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IBaseCurve edgeCurve,
NXOpen::Scalar scalarT,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point on a Curve or Edge and Scalar representing the T parameter.

@return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
edgeCurveEdge or Curve
scalarTT parameter
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IBaseCurve edgeCurve,
NXOpen::Scalar scalarT,
NXOpen::PointCollection::PointOnCurveLocationOption  locationOption,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point on a Curve or Edge and Scalar representing the Percent parameter or Arc Length or Percent Arc Length.

@return  


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
edgeCurveEdge or Curve
scalarTscalar value
locationOptionSpecify whether the input Scalar is Arc Length or Percent Arc Length or Percent Parameter
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IBaseCurve edgeCurve,
NXOpen::Scalar scalarT,
NXOpen::SmartObject::UpdateOption  updateOption,
bool  useReverseParameter 
)

Creates a Point on a Curve or Edge and Scalar representing the T parameter.

@return  


Created in NX7.5.2.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
edgeCurveEdge or Curve
scalarTT parameter
updateOptionupdate option
useReverseParameterusereverseparameter
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IBaseCurve edgeCurve,
NXOpen::Point pointOffset,
NXOpen::Scalar distancePercent,
NXOpen::PointCollection::AlongCurveOption  option,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point along a Curve or Edge using a Point , and a Scalar representing the T parameter along the Curve .

This Point is derived by finding the closest Point on the given curve to the given Point and then offsetting this Point along the given Curve by the arc length defined by T via absolute distance or relative percent.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
edgeCurveEdge or Curve
pointOffsetOffset from this Point
distancePercentDistance or Percentage
optionSpecify whether the input Scalar is distance/percentage
senseforward/reverse along the Edge or Curve
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::Scalar scalarX,
NXOpen::Scalar scalarY,
NXOpen::Scalar scalarZ,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point via three Scalar .

@return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
scalarXX location
scalarYY location
scalarZZ location
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::Point pointExtract,
NXOpen::Xform xform,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point via an existing Point using an optional Xform .

@return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
pointExtractPoint to be extracted
xformoptional Xform
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IBaseCurve edgeCurve,
NXOpen::Scalar angle,
NXOpen::Xform xform,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point at an angle along an IBaseCurve .

@return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
edgeCurveedge curve
angleangle in radians
xformoptional Xform
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IBaseCurve edgeCurve,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point via the center of an Edge or Curve .

@return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
edgeCurveedge curve
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IBaseCurve curve1,
NXOpen::IBaseCurve curve2,
NXOpen::Point helpPt1,
NXOpen::Point helpPt2,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point at the intersection of two Edges or Curves.

@return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
curve1First Edge or Curve in intersection
curve2Second Edge or Curve in intersection
helpPt1Optional help Point for curve 1
helpPt2Optional help Point for curve 2
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IBaseCurve curve1,
NXOpen::IBaseCurve curve2,
const NXOpen::Point3d startPoint,
NXOpen::View view,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point at the apparent intersection of two Edges or Curves in a view.

@return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
curve1First Edge or Curve in intersection
curve2Second Edge or Curve in intersection
startPointStart point of the intersection
viewView in which to project the intersection
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IParameterizedSurface face,
NXOpen::IBaseCurve curve,
NXOpen::Point helpPt1,
NXOpen::Point helpPt2,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point at the intersection of a IParameterizedSurface and IBaseCurve .

@return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
faceface
curveCurve in intersection
helpPt1Optional help Point for face
helpPt2Optional help Point for curve
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IBasePlane plane,
NXOpen::IBaseCurve curve,
NXOpen::Point helpPt1,
NXOpen::Point helpPt2,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point at the intersection of a IBasePlane and IBaseCurve .

@return  


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
planePlane or DatumPlane in intersection
curveCurve or Edge in intersection
helpPt1Optional help Point for face
helpPt2Optional help Point for curve
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IParameterizedSurface sphericalFace,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point at the center of a spherical face.

@return  


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
sphericalFacespherical face
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::Routing::IRoutePosition routePosition,
NXOpen::Xform xform,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point at the given Routing::IRoutePosition .

@return  


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
routePositionroute position
xformoptional Xform
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::CartesianCoordinateSystem csys,
NXOpen::Scalar scalarX,
NXOpen::Scalar scalarY,
NXOpen::Scalar scalarZ,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point via CartesianCoordinateSystem and three Scalar .

@return  


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
csysCartesian Coordinate System
scalarXX location
scalarYY location
scalarZZ location
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::Point point1,
NXOpen::Point point2,
NXOpen::Scalar distancePercentage,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point between two points using a Scalar that represents a percentage of the distance between the points.

The distance is measured from the first point to the second point. There is no limit on the percentage so the point can be outside the area between the two points.

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
point1point1
point2point2
distancePercentagedistance percentage
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::Expression exp,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point via an Expression .

@return  


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
expEXP Point
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::CAE::CAEFace face,
NXOpen::Point projectedPoint,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a point by projecting onto a face.

@return  


Created in NX6.0.1.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
facethe face to project to
projectedPointthe point to project onto the face
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::ScCollector faces,
NXOpen::IBaseCurve curve,
NXOpen::Point helpPt1,
NXOpen::Point helpPt2,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point at the intersection of a connected set of faces and IBaseCurve .

@return  


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
facesCollector object to represent connected set of faces
curveCurve in intersection
helpPt1Optional help Point for face
helpPt2Optional help Point for curve
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::SmartObject::UpdateOption  updateOption,
NXOpen::Annotations::Annotation annotation,
NXOpen::Scalar t,
int  side,
int  block,
bool  attachFcfToDim 
)

Creates a Point on a Annotations::Annotation and Scalar representing the T parameter.

@return  


Created in NX8.0.0.

License requirements : drafting ("DRAFTING")

Parameters
updateOptionupdate option
annotationannotation
tt
sideside
blockblock
attachFcfToDimattach fcf to dim
NXOpen::Point* NXOpen::PointCollection::CreatePoint ( NXOpen::IBaseCurve splarc,
NXOpen::View view 
)

Creates a Point at the center of a splarc.

@return  


Created in NX8.0.0.

License requirements : drafting ("DRAFTING")

Parameters
splarcsplarc
viewview
NXOpen::Point* NXOpen::PointCollection::CreatePointOnPortExtractAlign ( NXOpen::SmartObject::UpdateOption  updateOption,
NXOpen::Routing::Port port,
NXOpen::Scalar distance 
)

Creates a Point at a Routing::Port .

The @link Routing::Port Routing::Port@endlink  will be extraced into the work part if
necessary. If the @link Routing::Port Routing::Port@endlink  has already been extracted,
the existing extract will be used. If extraction is not required, the input
@link Routing::Port Routing::Port@endlink  will be used.
 @return  


Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
updateOptionupdate option
portRouting::Port
distanceScalar Distance
NXOpen::Point* NXOpen::PointCollection::CreatePointOnSectionCG ( NXOpen::SmartObject::UpdateOption  updateOption,
NXOpen::TaggedObject face 
)

Creates a Point on the center of gravity of the sketch for a given sheet metal feature face in history free mode.

Supports Dimple, Bead, Louver, Drawn Cutout and Normal Cutout. A Null object will be returned if an inapproriate face is passed as an argument.

Returns
Point
Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
Parameters
updateOptionUpdate option of smart object
facethe feature face to associate the point with
NXOpen::Point* NXOpen::PointCollection::CreatePointOnSurfaceAxis ( NXOpen::TaggedObject face,
NXOpen::Scalar parameter,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a parameterised point on the center line axis of the given face.

@return  Point  


Created in NX6.0.0.

License requirements : None

Parameters
faceRM Face
parameterRM Scalar
updateOptionUpdate option of smart object
NXOpen::Point* NXOpen::PointCollection::CreateQuadrantPoint ( NXOpen::IBaseCurve curveOrEdge,
int  quadrant,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a quadrant point.

Returns

Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
curveOrEdgeMust be circular or elliptical
quadrant0 to 3
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreateStockOffsetPoint ( NXOpen::Point basePoint,
NXOpen::Direction offsetDirr,
const NXString offsetExpression,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Routing "Stock Offset" point.

This stock offset point offsets itself from the input base point along the specified direction. The input expression determines the distance between the base point and the offset point. The input expression may reference the variable "MAX_PATH_STOCK_DIA" which is replaced by the current maximum diameter of stock applied to Routing segments that refer to the offset point.

Returns

Created in NX6.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
Parameters
basePointBase point to offset from.
offsetDirrDirection to offset along.
offsetExpressionOffset value expression.
NOTE: The full Unicode character set is not supported for this parameter.
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreateStockOffsetPoint ( NXOpen::Point basePoint,
NXOpen::Direction offsetDirr,
const char *  offsetExpression,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Routing "Stock Offset" point.

This stock offset point offsets itself from the input base point along the specified direction. The input expression determines the distance between the base point and the offset point. The input expression may reference the variable "MAX_PATH_STOCK_DIA" which is replaced by the current maximum diameter of stock applied to Routing segments that refer to the offset point.

Returns

Created in NX6.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
Parameters
basePointBase point to offset from.
offsetDirrDirection to offset along.
offsetExpressionOffset value expression.
NOTE: The full Unicode character set is not supported for this parameter.
updateOptionupdate option
NXOpen::Point* NXOpen::PointCollection::CreateVirtualIntersectionPoint ( NXOpen::IBaseCurve curve1,
NXOpen::IBaseCurve curve2,
NXOpen::Point helpPt1,
NXOpen::Point helpPt2,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Point at the virtual intersection of two linear Edges or Curves.

@return  


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
curve1First Edge or Curve in virtual intersection
curve2Second Edge or Curve in virtual intersection
helpPt1Optional help Point for curve 1
helpPt2Optional help Point for curve 2
updateOptionupdate option
void NXOpen::PointCollection::DeletePoint ( NXOpen::Point point)

Deletes a Point by adding the point to the delete list and then updating the delete list without performing a general update.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
pointPoint to be deleted
iterator NXOpen::PointCollection::end ( )

Returns an iterator addressing one past the last element.

NXOpen::Point* NXOpen::PointCollection::FindObject ( const NXString journalIdentifier)

Finds the Point with the given identifier as recorded in a journal.

   An object may not return the same value as its JournalIdentifier in different versions of 
   the software. However newer versions of the software should find the same object when 
   FindObject is passed older versions of its journal identifier. In general, this method 
   should not be used in handwritten code and exists to support record and playback of journals.

   An exception will be thrown if no object can be found with the given journal identifier.  @return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
journalIdentifierIdentifier of the Point you want
NXOpen::Point* NXOpen::PointCollection::FindObject ( const char *  journalIdentifier)

Finds the Point with the given identifier as recorded in a journal.

   An object may not return the same value as its JournalIdentifier in different versions of 
   the software. However newer versions of the software should find the same object when 
   FindObject is passed older versions of its journal identifier. In general, this method 
   should not be used in handwritten code and exists to support record and playback of journals.

   An exception will be thrown if no object can be found with the given journal identifier.  @return  


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")

Parameters
journalIdentifierIdentifier of the Point you want
void NXOpen::PointCollection::RemoveParameters ( NXOpen::Point point)

Removes the parameters from an associative Point .


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
pointPoint from which parameters will be removed
tag_t NXOpen::PointCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2013 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.